Name:          okteta
Version:       16.08.3
Release:       1mamba
Summary:       A simple editor for the raw data of files
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/okteta-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libqca-devel
BuildRequires: libqt4-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: libknewstuff-devel
Requires:      kdelibs%{?_kde4_version: >= %{_kde4_version}}
Provides:      libokteta
Obsoletes:     libokteta
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Okteta is a simple editor for the raw data of files. This type of program is also called hex editor or binary editor.
This package is part of KDE4.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      kdelibs-devel

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
exit 0

%posttrans
/sbin/ldconfig
update-desktop-database -q >/dev/null 2>&1
update-mime-database %{_kde5_mimedir} >/dev/null 2>&1
gtk-update-icon-cache %{_kde5_icondir}/hicolor >/dev/null 2>&1
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database %{_kde5_mimedir} >/dev/null 2>&1
   touch --no-create %{_kde5_icondir}/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_kde5_icondir}/hicolor >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/okteta-structures.knsrc
%{_kde5_bindir}/okteta
%{_kde5_bindir}/struct2osd
%{_kde5_libdir}/libkasten3controllers.so.*
%{_kde5_libdir}/libkasten3core.so.*
%{_kde5_libdir}/libkasten3gui.so.*
%{_kde5_libdir}/libkasten3okteta1controllers.so.*
%{_kde5_libdir}/libkasten3okteta1core.so.*
%{_kde5_libdir}/libkasten3okteta1gui.so.*
%{_kde5_libdir}/libokteta2core.so.*
%{_kde5_libdir}/libokteta2gui.so.*
%{_kde5_sharedir}/applications/org.kde.okteta.desktop
%{_kde5_sharedir}/metainfo/org.kde.okteta.appdata.xml
%{_kde5_sharedir}/kxmlgui5/okteta/oktetaui.rc
%{_kde5_sharedir}/okteta/structures/*
%dir %{_datadir}/kxmlgui5/oktetapart
%{_datadir}/kxmlgui5/oktetapart/*.rc
%{_kde5_kcfgdir}/structviewpreferences.kcfg
%doc %lang(en) %{_kde5_htmldir}/en/okteta/index.cache.bz2
%doc %lang(en) %{_kde5_htmldir}/en/okteta/index.docbook
%{_kde5_icondir}/hicolor/*/apps/okteta.png
%{_kde5_xdgmimedir}/okteta.xml
%{_libdir}/qt5/plugins/designer/oktetadesignerplugin.so
%{_libdir}/qt5/plugins/oktetapart.so
%doc COPYING COPYING.DOC COPYING.LIB

%files devel
%defattr(-,root,root)
%dir %{_includedir}/Kasten
%{_includedir}/Kasten/*
%dir %{_includedir}/Okteta
%{_includedir}/Okteta/*
%dir %{_includedir}/kasten
%{_includedir}/kasten/*
%dir %{_includedir}/okteta
%{_includedir}/okteta/*
%{_kde5_libdir}/libkasten3controllers.so
%{_kde5_libdir}/libkasten3core.so
%{_kde5_libdir}/libkasten3gui.so
%{_kde5_libdir}/libkasten3okteta1controllers.so
%{_kde5_libdir}/libkasten3okteta1core.so
%{_kde5_libdir}/libkasten3okteta1gui.so
%{_kde5_libdir}/libokteta2core.so
%{_kde5_libdir}/libokteta2gui.so
%dir %{_libdir}/cmake/KastenControllers/
%{_libdir}/cmake/KastenControllers/KastenControllers*.cmake
%dir %{_libdir}/cmake/KastenCore/
%{_libdir}/cmake/KastenCore/KastenCore*.cmake
%dir %{_libdir}/cmake/KastenGui/
%{_libdir}/cmake/KastenGui/KastenGui*.cmake
%dir %{_libdir}/cmake/OktetaCore/
%{_libdir}/cmake/OktetaCore/OktetaCore*.cmake
%dir %{_libdir}/cmake/OktetaGui/
%{_libdir}/cmake/OktetaGui/OktetaGui*.cmake
%dir %{_libdir}/cmake/OktetaKastenControllers
%{_libdir}/cmake/OktetaKastenControllers/OktetaKastenControllers*.cmake
%dir %{_libdir}/cmake/OktetaKastenCore/
%{_libdir}/cmake/OktetaKastenCore/OktetaKastenCore*.cmake
%dir %{_libdir}/cmake/OktetaKastenGui/
%{_libdir}/cmake/OktetaKastenGui/OktetaKastenGui*.cmake

%changelog
* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Fri Sep 09 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Fri Jul 22 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Tue Jan 12 2016 Automatic Build System <autodist@mambasoft.it> 15.12.1-1mamba
- automatic version update by autodist

* Wed Dec 23 2015 Automatic Build System <autodist@mambasoft.it> 15.12.0-1mamba
- automatic version update by autodist

* Wed Oct 14 2015 Automatic Build System <autodist@mambasoft.it> 15.08.2-1mamba
- automatic version update by autodist

* Mon Sep 21 2015 Automatic Build System <autodist@mambasoft.it> 15.08.1-1mamba
- automatic version update by autodist

* Sun Aug 23 2015 Automatic Build System <autodist@mambasoft.it> 15.08.0-1mamba
- automatic version update by autodist

* Thu Jul 02 2015 Automatic Build System <autodist@mambasoft.it> 15.04.3-1mamba
- automatic version update by autodist

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 15.04.2-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 15.04.1-1mamba
- automatic version update by autodist

* Thu Apr 30 2015 Automatic Build System <autodist@mambasoft.it> 15.04.0-1mamba
- automatic version update by autodist

* Sun Mar 22 2015 Automatic Build System <autodist@mambasoft.it> 14.12.3-1mamba
- automatic version update by autodist

* Mon Jan 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 14.12.1-1mamba
- update to 14.12.1

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Fri Oct 24 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.0-1mamba
- package created by silvan using the webbuild interface
